summaryrefslogtreecommitdiffstats
path: root/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..f19e94a
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -xeou pipefail
+
+rm -f ~/.bash_profile ~/.bashrc
+cd ~/.rc
+stow --no-folding --adopt .
+git restore .
+git remote set-url origin [email protected]:~a14m/.rc
+
+ln -sf ~/.rc/.gnupg/pinentry-wrapper ~/.local/bin/pinentry-wrapper
+envsubst < ~/.gnupg/gpg-agent.conf.template > ~/.gnupg/gpg-agent.conf
+chmod 0700 ~/.gnupg
+gpgconf --kill gpg-agent 2>/dev/null || true
+gpg-connect-agent /bye 2>/dev/null || true